-- Removing of all interior images that are not landscape from all motifs that are repeating pattern
DELETE FROM "interiors"
WHERE id IN
(
  SELECT i.id
  FROM "interiors" i
  INNER JOIN "product-printproducts" pp
    ON i.print_id = pp.printid
  WHERE groupid = 3 AND room_id NOT IN (4, 8, 14)
);